aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-variable-magic/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2012-10-27 17:48:04 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2012-10-27 17:48:04 +0000
commit713a3ffb4e8046be3c1af791978cfe2627f1f7f6 (patch)
tree7f90c2034e24b0f86fe51d64d8206827a4196727 /testing/perl-variable-magic/APKBUILD
parentc8f1c02602e48c5d8be2f54f305a14ad5b25dafd (diff)
downloadaports-713a3ffb4e8046be3c1af791978cfe2627f1f7f6.tar.gz
aports-713a3ffb4e8046be3c1af791978cfe2627f1f7f6.tar.bz2
aports-713a3ffb4e8046be3c1af791978cfe2627f1f7f6.tar.xz
testing/perl-variable-magic: new aport
Diffstat (limited to 'testing/perl-variable-magic/APKBUILD')
-rw-r--r--testing/perl-variable-magic/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-variable-magic/APKBUILD b/testing/perl-variable-magic/APKBUILD
new file mode 100644
index 0000000000..28c1b6bfd8
--- /dev/null
+++ b/testing/perl-variable-magic/APKBUILD
@@ -0,0 +1,39 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-variable-magic
+_pkgreal=Variable-Magic
+pkgver=0.51
+pkgrel=0
+pkgdesc="Associate user-defined magic to variables from Perl."
+url="http://search.cpan.org/dist/Variable-Magic/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/V/VP/VPIT/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="293ca7401f0d7ad8bb94424b916acfa6 Variable-Magic-0.51.tar.gz"